Skylife

Welcome on www.promobetting.com

to use our Platform check in your installed application for:
Java (last version is mandatory)
.Net Framework 2.0
.Net Framework 4.0

go to Platform installation